New hook after saving user
Status: Closed Start date: 2009-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

I need to run some plugin code after the password was changed.

Because a user can be manipulated in several different controllers I think the hooks seems to be placed best in the user model.

History

#1 - 2009-04-09 03:11 - Eric Davis

Instead of a hook, couldn't you just register your method to the User's after_save callback?

#2 - 2009-04-09 08:24 - Dominik Wild

- Status changed from New to Resolved

Hm... well, I can't register a callback from outside the model, but I figured out that it is in fact possible using an observer. Thanks for the hint.

#3 - 2009-04-30 02:22 - Eric Davis

- Status changed from Resolved to Closed

- Resolution set to Invalid

An observer is probably the best way anyways.
